def fib (low,high):

  fib_array=[]

  i=1 # i-th term
  j=1 # i+1-th term
  current=low

  while i<high:

    current=i
    i=j
    j+=current
    if low<current<high:
      fib_array.append(current)

  return fib_array

fib(0,1e3)

